module decorator.coffeewithsize.whip;

import decorator.coffeewithsize.beverage;
import decorator.coffeewithsize.condimentdecorator;

class Whip : CondimerDecorator
{
private:
    Beverage beverage;
public:
    this(Beverage beverage)
    {
        this.beverage = beverage;
    }

    override string getDescription()
    {
        return beverage.getDescription() ~ ", Whip";
    }

    override double cost()
    {
        return .10 + beverage.cost();
    }
}
